Index: /orxonox/trunk/CODING-STANDARDS
===================================================================
--- /orxonox/trunk/CODING-STANDARDS	(revision 1856)
+++ /orxonox/trunk/CODING-STANDARDS	(revision 1856)
@@ -0,0 +1,52 @@
+
+
+
+1.Coding Conventions
+2.How to format your Code
+
+1.Coding Conventions
+--------------------
+==> If you are beginning a new code-file: copy the proto_class.{cc,h}
+==> and work with these files.
+
+a) in every code file, there has to be a GNU copyright header
+b) under the (c) header write your name as main-programmer, if
+   you are just bugfixing or extending write it under co-programmer
+c) Every function has a header with informations about it:
+/**
+   \brief <a brief description>
+   \param <parameters the function needs>
+   \param <more parameters>
+
+   <more description>
+*/
+   This makes live easier, if we want to add a documentation.
+
+
+2.How to format your Code
+-------------------------
+We use the GNU conding convention (which is also used in xemacs etc.):
+
+-- Put a space after every comma.
+-- Put a space before the parenthesis that begins a function call,
+   macro call, function declaration or definition, or control
+   statement (if, while, switch, for). (DO NOT do this for macro
+   definitions; this is invalid preprocessor syntax.)
+-- The brace that begins a control statement (if, while, for, switch,
+   do) or a function definition should go on a line by itself.
+-- In function definitions, put the return type and all other
+   qualifiers on a line before the function name.  Thus, the function
+   name is always at the beginning of a line.
+-- Indentation level is two spaces.  (However, the first and following
+   statements of a while/for/if/etc. block are indented four spaces
+   from the while/for/if keyword.  The opening and closing braces are
+   indented two spaces.)
+-- Variable and function names should be all lowercase, with underscores
+   separating words, except for a prefixing tag, which may be in
+   uppercase.  Do not use the mixed-case convention (e.g.
+   SetVariableToValue ()) and *especially* do not use Microsoft
+   Hungarian notation (char **rgszRedundantTag).
+-- preprocessor and enum constants should be all uppercase, and should
+   be prefixed with a tag that groups related constants together.
+
+
Index: /orxonox/trunk/README
===================================================================
--- /orxonox/trunk/README	(revision 1856)
+++ /orxonox/trunk/README	(revision 1856)
@@ -0,0 +1,136 @@
+
+This is the offical README file for the game project
+
+--------------------------------------------------------
+                       orxOnox
+--------------------------------------------------------
+
+
+
+
+1.Preface:
+----------
+Orxonox is a open-source vertical scroller game programed
+in c++ and OpenGL.
+If we manage to be sober enough, this game shall definitly 
+become _the_ open-source vertical scroller ever.
+
+2.Manifesto:
+------------
+1) Alien is a great film
+2) Guiness is the most delicious beer
+
+to be continoued...
+
+
+3.Overview:
+---------
+1.Preface
+2.Manifesto
+3.Overview
+3.Contributing To The Project
+4.Howto C++ Programming
+5.Howto SVN
+6.Coding conventions
+
+
+4.Contributing To The project:
+------------------------------
+People who want to help us working on orxonox are always
+welcome:) Feel free to chip in anything you like. Wine, beer, 
+coffee... If you like to help us programming orxonox, you:
+- join the developer community mailing lists
+- read this README file
+then you have multiple ways to get started. 
+a) Read the hole source code and choose a topic you like
+b) check the TODO file to get a knowledge of what we need
+c) ask us for more information
+To get more informations about programming and project specs
+read the programming sections below.
+
+To start programming on orxonox you first have to download the 
+newest svn tree of orxonox. You can do this by enterning following
+lines in the linux console (ensure svn to be installed with ssl
+support enabled):
+
+svn co https://open.datacore.ch/pw/orxonox orxonox
+
+If you haven't got ssl support in you svn tool, recompile it
+./configure --with-ssl
+make
+make install
+
+
+5.Howto C++ Programming:
+------------------------
+If you are new to c/c++ programming, this project is probably
+not the best starting place to learn it. For you and the rest who 
+need "refreshment" check out these guides:
+
+www.cplusplus.com/doc/tutorial
+www.4p8.com/eric.brasseur/cppcen.html
+
+
+6.Howto SVN:
+------------
+For a more complete guide about this topic read the documentation
+avaiable at subversion.tigris.org.
+
+SVN (=subversion) is a version control program similar to CVS but
+newer. This program enables us to work all at the same program at 
+the same time - tricky.
+
+subversion checkout https://open.datacore.ch/pw/orxonox orxonox
+same as: subversion co https://open.datacore....
+
+this makes a directory orxonox at your current place in and gets
+the hole brand new source code from the server.
+
+now you can work. Remember to use 'svn copy instead of 'cp', 
+'svn mv' instead of 'mv', 'svn rm' instead of 'rm'... - you got it
+I think.
+After you have made your changes to the files enter
+svn status
+or with more details: svn status -vv
+which will show you the changes you did locally on your computer.
+svn diff
+is similar but shows you all the changes in detail.
+
+svn diff > patchfile
+the patchfile you can use later in conjunction with the patch program.
+You could, for example, email this patchfile to another developer for
+review or testing prior to commit.
+
+To add a new file type
+svn add <filename>
+and to publish all your changes type
+svn commit --message "Corrected number of chees slices."
+svn commit will send all of your changs to the repository. When you 
+commit a change, you need to supply a log message, describing your 
+change. The message can also be read from a file:
+svn commit --file logmsg
+
+If you accidently make a change you like to revert, you just can do this
+by typing:
+svn revert <filename>
+
+To keep track about the work that is running on the project use the
+command: svn log. This will show you a bref summary of all changes.
+
+
+Most of the programmer will do their work on a branch. A Branch is
+a line of development that exists independently of another line, yet
+still shares a common history. A branch always begins life as a copy
+of something, and moves on trom there, generating its own history. Later
+the two versions will merge.
+
+If you are working on orxonox you will have your own branch in which you 
+will program, some sort of sand-box. If you finish your work on your 
+topic, it will be revised by us and merged with the trunk
+
+7.Coding Conventions
+--------------------
+Read the File CODING-STANDARDS
+
+
+#EOF
Index: /orxonox/trunk/core/data_tank.cc
===================================================================
--- /orxonox/trunk/core/data_tank.cc	(revision 1855)
+++ /orxonox/trunk/core/data_tank.cc	(revision 1856)
@@ -17,4 +17,5 @@
 #include "data_tank.h"
 
+using namespace std;
 
 
Index: /orxonox/trunk/core/orxonox.cc
===================================================================
--- /orxonox/trunk/core/orxonox.cc	(revision 1855)
+++ /orxonox/trunk/core/orxonox.cc	(revision 1856)
@@ -115,5 +115,14 @@
   (*orx).globalInit(argc, argv);
   (*orx).menuInit();
-  glutMainLoop();
+
+  World* wd = new World;
+  Player* pl = new Player;
+  (*wd).addPlayer(pl);
+  (*wd).addPlayer(pl);
+  (*wd).addPlayer(pl);
+  (*wd).addPlayer(pl);
+  (*wd).testThaTest();
+
+  glutMainLoop();  
   return 0;
 }
Index: /orxonox/trunk/core/orxonox.h
===================================================================
--- /orxonox/trunk/core/orxonox.h	(revision 1855)
+++ /orxonox/trunk/core/orxonox.h	(revision 1856)
@@ -1,2 +1,5 @@
+
+#include "world.h"
+
 #ifndef ORXONOX_H
 #define ORXONOX_H
Index: /orxonox/trunk/core/player.cc
===================================================================
--- /orxonox/trunk/core/player.cc	(revision 1855)
+++ /orxonox/trunk/core/player.cc	(revision 1856)
@@ -15,4 +15,5 @@
 #include "player.h"
 
+using namespace std;
 
 
Index: /orxonox/trunk/core/player.h
===================================================================
--- /orxonox/trunk/core/player.h	(revision 1855)
+++ /orxonox/trunk/core/player.h	(revision 1856)
@@ -10,4 +10,10 @@
   ~Player ();
 
+ private:
+  /* position of the space craft */
+  int xCor;
+  int yCor;
+  int zCor;
+
 };
 
Index: /orxonox/trunk/core/proto_class.cc
===================================================================
--- /orxonox/trunk/core/proto_class.cc	(revision 1855)
+++ /orxonox/trunk/core/proto_class.cc	(revision 1856)
@@ -20,4 +20,7 @@
 
 
+using namespace std;
+
+
 
 ProtoClass::ProtoClass () {}
Index: /orxonox/trunk/core/world.cc
===================================================================
--- /orxonox/trunk/core/world.cc	(revision 1855)
+++ /orxonox/trunk/core/world.cc	(revision 1856)
@@ -19,4 +19,7 @@
 #include "world.h"
 
+#include <iostream>
+
+using namespace std;
 
 
@@ -24,5 +27,4 @@
 World::World () {
   lastPlayer = null;
-  lastPlayer->nextPlayer = null;
 }
 
@@ -40,7 +42,15 @@
 {
   playerList* listMember = new playerList;
-  listMember->nextPlayer = lastPlayer;
   listMember->player = player;
-  listMember->playerNr = lastPlayer->playerNr + 1;
+  if ( lastPlayer != null ) 
+    {
+      listMember->number = lastPlayer->number + 1;
+      listMember->next = lastPlayer;
+    }
+  else 
+    {
+      listMember->number = 0;
+      listMember->next = null;
+    }
   lastPlayer = listMember;
 }
@@ -53,7 +63,17 @@
    testing, testing, testing...
 */
-boot World::testRouting() 
+void World::testThaTest() 
 {
+  cout << "World::testThaTest() called" << endl;
+  /* test addPlayer */
+  cout << "addPlayer test..." << endl;
+  playerList* pl = lastPlayer;
+  while ( pl != null )
+    {
+      cout << "player " << pl->number << " was found" << endl;
+      pl = pl->next;
+    }
 
+  cout << "World::testThaTest() finished" << endl;
 }
 
Index: /orxonox/trunk/core/world.h
===================================================================
--- /orxonox/trunk/core/world.h	(revision 1855)
+++ /orxonox/trunk/core/world.h	(revision 1856)
@@ -20,7 +20,7 @@
   /* a list of all players */
   struct playerList {
-    playerList* nextPlayer;
+    playerList* next;
     Player* player;
-    int playerNr;
+    int number;
   };
   playerList* lastPlayer;
@@ -28,5 +28,5 @@
   /* a list of all non-player-characters */
   struct npcList {
-    npcList* nextNPC;
+    npcList* next;
     NPC* npc;
   };
@@ -39,5 +39,5 @@
   bool removeNPC(NPC* npc);
 
-
+  void testThaTest(void);
 
 
Index: xonox/trunk/doc/CODING-STANDARDS
===================================================================
--- /orxonox/trunk/doc/CODING-STANDARDS	(revision 1855)
+++ 	(revision )
@@ -1,52 +1,0 @@
-
-
-
-1.Coding Conventions
-2.How to format your Code
-
-1.Coding Conventions
---------------------
-==> If you are beginning a new code-file: copy the proto_class.{cc,h}
-==> and work with these files.
-
-a) in every code file, there has to be a GNU copyright header
-b) under the (c) header write your name as main-programmer, if
-   you are just bugfixing or extending write it under co-programmer
-c) Every function has a header with informations about it:
-/**
-   \brief <a brief description>
-   \param <parameters the function needs>
-   \param <more parameters>
-
-   <more description>
-*/
-   This makes live easier, if we want to add a documentation.
-
-
-2.How to format your Code
--------------------------
-We use the GNU conding convention (which is also used in xemacs etc.):
-
--- Put a space after every comma.
--- Put a space before the parenthesis that begins a function call,
-   macro call, function declaration or definition, or control
-   statement (if, while, switch, for). (DO NOT do this for macro
-   definitions; this is invalid preprocessor syntax.)
--- The brace that begins a control statement (if, while, for, switch,
-   do) or a function definition should go on a line by itself.
--- In function definitions, put the return type and all other
-   qualifiers on a line before the function name.  Thus, the function
-   name is always at the beginning of a line.
--- Indentation level is two spaces.  (However, the first and following
-   statements of a while/for/if/etc. block are indented four spaces
-   from the while/for/if keyword.  The opening and closing braces are
-   indented two spaces.)
--- Variable and function names should be all lowercase, with underscores
-   separating words, except for a prefixing tag, which may be in
-   uppercase.  Do not use the mixed-case convention (e.g.
-   SetVariableToValue ()) and *especially* do not use Microsoft
-   Hungarian notation (char **rgszRedundantTag).
--- preprocessor and enum constants should be all uppercase, and should
-   be prefixed with a tag that groups related constants together.
-
-
Index: /orxonox/trunk/doc/CREDITS
===================================================================
--- /orxonox/trunk/doc/CREDITS	(revision 1855)
+++ /orxonox/trunk/doc/CREDITS	(revision 1856)
@@ -4,5 +4,15 @@
 --------------------------
 
+Programmers:
+------------
+Patrick Boenzli
+Benjamin Grauer
+
+Infrastructure:
+---------------
 amir@datacore.ch	for giving us access to subversion and mailing lists
+
+The Great Orx Sound:
+--------------------
 Luke Grey		for making the orxonox sound
 
Index: xonox/trunk/doc/README
===================================================================
--- /orxonox/trunk/doc/README	(revision 1855)
+++ 	(revision )
@@ -1,136 +1,0 @@
-
-This is the offical README file for the game project
-
---------------------------------------------------------
-                       orxOnox
---------------------------------------------------------
-
-
-
-
-1.Preface:
-----------
-Orxonox is a open-source vertical scroller game programed
-in c++ and OpenGL.
-If we manage to be sober enough, this game shall definitly 
-become _the_ open-source vertical scroller ever.
-
-2.Manifesto:
-------------
-1) Alien is a great film
-2) Guiness is the most delicious beer
-
-to be continoued...
-
-
-3.Overview:
----------
-1.Preface
-2.Manifesto
-3.Overview
-3.Contributing To The Project
-4.Howto C++ Programming
-5.Howto SVN
-6.Coding conventions
-
-
-4.Contributing To The project:
-------------------------------
-People who want to help us working on orxonox are always
-welcome:) Feel free to chip in anything you like. Wine, beer, 
-coffee... If you like to help us programming orxonox, you:
-- join the developer community mailing lists
-- read this README file
-then you have multiple ways to get started. 
-a) Read the hole source code and choose a topic you like
-b) check the TODO file to get a knowledge of what we need
-c) ask us for more information
-To get more informations about programming and project specs
-read the programming sections below.
-
-To start programming on orxonox you first have to download the 
-newest svn tree of orxonox. You can do this by enterning following
-lines in the linux console (ensure svn to be installed with ssl
-support enabled):
-
-svn co https://open.datacore.ch/pw/orxonox orxonox
-
-If you haven't got ssl support in you svn tool, recompile it
-./configure --with-ssl
-make
-make install
-
-
-5.Howto C++ Programming:
-------------------------
-If you are new to c/c++ programming, this project is probably
-not the best starting place to learn it. For you and the rest who 
-need "refreshment" check out these guides:
-
-www.cplusplus.com/doc/tutorial
-www.4p8.com/eric.brasseur/cppcen.html
-
-
-6.Howto SVN:
-------------
-For a more complete guide about this topic read the documentation
-avaiable at subversion.tigris.org.
-
-SVN (=subversion) is a version control program similar to CVS but
-newer. This program enables us to work all at the same program at 
-the same time - tricky.
-
-subversion checkout https://open.datacore.ch/pw/orxonox orxonox
-same as: subversion co https://open.datacore....
-
-this makes a directory orxonox at your current place in and gets
-the hole brand new source code from the server.
-
-now you can work. Remember to use 'svn copy instead of 'cp', 
-'svn mv' instead of 'mv', 'svn rm' instead of 'rm'... - you got it
-I think.
-After you have made your changes to the files enter
-svn status
-or with more details: svn status -vv
-which will show you the changes you did locally on your computer.
-svn diff
-is similar but shows you all the changes in detail.
-
-svn diff > patchfile
-the patchfile you can use later in conjunction with the patch program.
-You could, for example, email this patchfile to another developer for
-review or testing prior to commit.
-
-To add a new file type
-svn add <filename>
-and to publish all your changes type
-svn commit --message "Corrected number of chees slices."
-svn commit will send all of your changs to the repository. When you 
-commit a change, you need to supply a log message, describing your 
-change. The message can also be read from a file:
-svn commit --file logmsg
-
-If you accidently make a change you like to revert, you just can do this
-by typing:
-svn revert <filename>
-
-To keep track about the work that is running on the project use the
-command: svn log. This will show you a bref summary of all changes.
-
-
-Most of the programmer will do their work on a branch. A Branch is
-a line of development that exists independently of another line, yet
-still shares a common history. A branch always begins life as a copy
-of something, and moves on trom there, generating its own history. Later
-the two versions will merge.
-
-If you are working on orxonox you will have your own branch in which you 
-will program, some sort of sand-box. If you finish your work on your 
-topic, it will be revised by us and merged with the trunk
-
-7.Coding Conventions
---------------------
-Read the File CODING-STANDARDS
-
-
-#EOF
